CREATE DATABASE IF NOT EXISTS `pingtest`;
USE `pingtest`;

CREATE TABLE IF NOT EXISTS `Hosts` (
  `PK_Host_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Host` char(50) NOT NULL,
  `Host_Enabled` tinyint(4) NOT NULL DEFAULT '1',
  `Host_Added` datetime DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE IF NOT EXISTS `Results` (
  `PK_Result_ID` int(11) NOT NULL AUTO_INCREMENT,
  `Host_ID` int(11) NOT NULL,
  `Result_Datetime` datetime NOT NULL,
  `Result` tinyint(4) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

ALTER TABLE `Hosts`
 ADD PRIMARY KEY (`PK_Host_ID`);


ALTER TABLE `Results`
 ADD PRIMARY KEY (`PK_Result_ID`);

GRANT USAGE ON *.* TO 'pingtest'@'localhost' IDENTIFIED BY PASSWORD 'LALALALALAALA';

GRANT SELECT, INSERT, UPDATE, DELETE ON `pingtest`.* TO 'pingtest'@'localhost';

GRANT LOCK TABLES ON `pingtest`.* TO 'pingtest'@'localhost';

FLUSH PRIVILEGES;

